> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable or disable a user feature



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi patch /v1/user/features
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/user/features:
    patch:
      tags:
        - User
      summary: Enable or disable a user feature
      operationId: patchV1UserFeatures
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - featureId
                - enabled
              properties:
                featureId:
                  type: string
                  description: Identificador da feature
                enabled:
                  type: boolean
                  description: Ativar ou desativar
            example:
              featureId: dark_mode
              enabled: true
      responses:
        '200':
          description: Feature updated
          content:
            application/json:
              example: null
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````